### Method

# Gtk ToggleButton set_group

#### Declaration [src]

    void
    gtk_toggle_button_set_group (
      GtkToggleButton* toggle_button,
      GtkToggleButton* group
    )

#### Description [src]

Adds `self` to the group of `group`.

In a group of multiple toggle buttons, only one button can be active at a time.

Setting up groups in a cycle leads to undefined behavior.

Note that the same effect can be achieved via the `GtkActionable` API, by using the same action with parameter type and state type ‘s’ for all buttons in the group, and giving each button its own target value.

Sets property | `Gtk.ToggleButton:group`

#### Parameters

`group` | `GtkToggleButton`
| Another `GtkToggleButton` to form a group with.
| The argument can be `NULL`.
| The data is owned by the caller of the function.